//----------------------------------------------------------------------------
// $Id: Filter.java,v 1.4 2004/05/10 22:49:07 enz Exp $
// $Source: /cvsroot/gogui/gogui/src/sgf/Filter.java,v $
//----------------------------------------------------------------------------

package sgf;

//----------------------------------------------------------------------------

import java.io.File;
import javax.swing.filechooser.*;
import utils.FileUtils;
import version.Version;

//----------------------------------------------------------------------------

public class Filter
    extends FileFilter
{
    public boolean accept(File f)
    {
        if (f.isDirectory())
            return true;
        return FileUtils.hasExtension(f, "sgf") ||
               FileUtils.hasExtension(f, Version.SgfExt());
    }

    public String getDescription()
    {
        return "Hex games (*.sgf, *."+Version.SgfExt()+")";
    }
}

//----------------------------------------------------------------------------
