//----------------------------------------------------------------------------
// $Id: Platform.java,v 1.3 2004/05/10 22:49:07 enz Exp $
// $Source: /cvsroot/gogui/gogui/src/utils/Platform.java,v $
//----------------------------------------------------------------------------

package utils;

//----------------------------------------------------------------------------

public class Platform
{
    /** Check if the platform is Mac OS X */
    public static boolean isMac()
    {
        // According to the article "Tailoring Java Apllications for Mac OS X"
        // (Technical Note TN2042) it is better to check for mrj.version than
        // to parse os.name
        return (System.getProperty("mrj.version") != null);
    }
}

//----------------------------------------------------------------------------
