#include "misc.h"

#include <iostream>
using std::cerr;

std::ostringstream DBG(std::string(""));
std::string DBG_buf;

// send to cerr + append to DBG_buf
void DBG_flush() {
  DBG_buf+=DBG.str();
  cerr<<DBG.str();
  cerr.flush();
  DBG.str(""); //reset ostringstream
}

void DBG_clear() {
  DBG_flush();
  DBG_buf="";
}

// for storing in a log file
string DBG_get_and_clear() {
  DBG_flush();
  string s=DBG_buf;
  DBG_buf="";
  return s;
}
