
#!/bin/bash

# linux, core2
 
BOOST_I="-DHAVE_BOOST_THREADS"
VSIZE4="-D__VSIZE__=4"
VSIZE8="-D__VSIZE__=8"
OPT="-O3 -fomit-frame-pointer -march=core2 -DHAVE_STDINT_H"
FILES="sixplayer.cpp main_gtp_engine.cpp misc.cpp hexmark.cpp hexboard.cpp lssolve.cpp hexgamestate.cpp carrier.cpp group.cpp connector.cpp batch.cpp circuit.cpp hexgame.cpp hexmatch.cpp hexmove.cpp" 
OUTP1="-o six_gtp_engine-11" 
OUTP2="-o six_gtp_engine-15" 
BOOST_L="-lboost_thread"

CMD1="g++ $BOOST_I $VSIZE4 $OPT $FILES $OUTP1 $BOOST_L"
CMD2="g++ $BOOST_I $VSIZE8 $OPT $FILES $OUTP2 $BOOST_L"

( time $CMD1 ) && ( time $CMD2 )
