
#!/bin/bash

# using MinGW gcc 4.2.1-sjlj (experimental) 
# Note: building *without* boost is possible, but interrupting moves will not work

BOOST_I="-DHAVE_BOOST_THREADS -I/c/boost/boost_1_36_0/"
VSIZE4="-D__VSIZE__=4"
VSIZE8="-D__VSIZE__=8"
OPT="-O3"
FILES="sixplayer.cpp main_gtp_engine.cpp misc.cpp hexmark.cpp hexboard.cpp lssolve.cpp hexgamestate.cpp carrier.cpp group.cpp connector.cpp batch.cpp circuit.cpp hexgame.cpp hexmatch.cpp hexmove.cpp" 
OUTP1="-o six_gtp_engine-11.exe" 
OUTP2="-o six_gtp_engine-15.exe" 
BOOST_L="-L/c/boost/boost_1_36_0/_build/boost/bin.v2/libs/thread/build/gcc-mingw-4.2.1/release/link-static/threading-multi -llibboost_thread-mgw42-mt-1_36"

CMD1="g++ -DHAVE_WINDOWS_H $BOOST_I $VSIZE4 $OPT $FILES $OUTP1 $BOOST_L"
CMD2="g++ -DHAVE_WINDOWS_H $BOOST_I $VSIZE8 $OPT $FILES $OUTP2 $BOOST_L"

( time $CMD1 ) && ( time $CMD2 )
