//----------------------------------------------------------------------------
// $Id: ImageButton.java,v 1.2 2004/05/10 22:49:07 enz Exp $
// $Source: /cvsroot/gogui/gogui/src/gui/ImageButton.java,v $
//----------------------------------------------------------------------------

package gui;

import javax.swing.*;

//----------------------------------------------------------------------------

class ImageButton extends JButton
{
    ImageButton(String imageResourceName, String altText, String toolTipText)
    {
        ClassLoader classLoader = ClassLoader.getSystemClassLoader();
        java.net.URL url = classLoader.getResource(imageResourceName);
        if (url != null)
            setIcon(new ImageIcon(url));
        else if (altText != null && ! altText.equals(""))
            setText(altText);
        if (toolTipText != null && ! toolTipText.equals(""))
            setToolTipText(toolTipText);
    }
}

//----------------------------------------------------------------------------
